Update form

Update a form with sections and input fields.

Behavior

  • If form is in DRAFT status: Updates the existing draft
  • If form is ACTIVE: Creates a new DRAFT version

Query Parameters

  • publish (optional): If true, automatically publishes the form after updating

Form Structure

See POST /v1/forms for detailed documentation on:

  • Form structure requirements
  • Available field types
  • Field properties and validations
  • Configuration options

Use Case

Use this to modify existing forms or create new versions of active forms without affecting the currently published version.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The External ID of the form

Query Params
boolean
Body Params
string | null
string | null
string | null
boolean | null
boolean | null
string
enum
required
string | null
predefinedSigners
array of objects | null
List<PredefinedSignerRequest>
sections
array of objects
required
List<FormSectionRequest>*
string | null
Responses
200

Updated Form and Inputs

400

Bad Request

500

Unknown Internal Server Error

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here!